New Gameforge Client update available!

Welcome to the forums of Runes of Magic EN & US

Rules and Guidelines: Game Rules - Community Guidelines - Terms of Use

Customer Support: EN/EU Customer Support - US Customer Support

Get in touch with us: Join our Discord!
  • Dear Players,


    Gameforge Client version 2.1.18 is now required to run your game. This new version brings improved performance and optimizations. If you have trouble running your game, please check that you are running the latest version of the GF Client.


    To update your client, simply restart the application. In most cases, this can be performed by closing the application via the system tray icon and launching it again.


    You can check the latest version of your client by performing the following:

    • Click on your Gameforge account name in the upper right corner
    • Select “Settings”
    • Click on “About” in the left-hand side
    • The Gameforge Client version will be displayed at the top of the screen.

    Your ROM Team